Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1483581 (CVE-2017-12448) - CVE-2017-12448 binutils: heap use after free in bfd_cache_close function
Summary: CVE-2017-12448 binutils: heap use after free in bfd_cache_close function
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-12448
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1483603 1483604 1483605
Blocks: 1483587
TreeView+ depends on / blocked
 
Reported: 2017-08-21 12:43 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 11:23:30 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-21 12:43:37 UTC
The bfd_cache_close function in bfd/cache.c in the Binary File
Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils
2.29 and earlier, allows remote attackers to cause a heap use after
free and possibly achieve code execution via a crafted nested archive
file. This issue occurs because incorrect functions are called during
an attempt to release memory. The issue can be addressed by better
input validation in the bfd_generic_archive_p function in
bfd/archive.c.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21787

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=909e4e716c4d77e33357bbe9bc902bfaf2e1af24

Comment 1 Adam Mariš 2017-08-21 13:12:51 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1483604]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1483603]
Affects: fedora-all [bug 1483605]

Comment 2 Pedro Yóssis Silva Barbosa 2017-09-22 11:09:50 UTC
Marked binutils in RHEL 5, 6, 7 and devtools 4, 6 and 7, as not affected.
Red Hat does not ship binutils compiled with the --enable-targets=all configuration. Therefore, Product Security Team was not able to reproduce the issue.


Note You need to log in before you can comment on or make changes to this bug.